(function(angular){
    'use strict';

    angular.module('certification', [
        'django',
        'timtec-models',
        'directive.file',
        'directive.previewImage',
        'directive.alertPopup',
        'directive.fixedBar',
        'ui.bootstrap',
        'checklist-model',
        'ui.tinymce',
        'ngRoute',
        'ngResource',
        'ngSanitize',
        'shared',
        'gettext'
    ])
    .config(function($routeProvider, $locationProvider) {
          $routeProvider
        //    .when('/', {
        //         templateUrl: 'course-classes.html',
        //         controller: 'CourseClassesController',
        //    })
          .when('/class-evaluations/:klassId', {
            templateUrl: 'class-evaluations.html',
            controller: 'ClassEvaluationsController'
          });
    })
    .run(['gettextCatalog', function (gettextCatalog) {
        gettextCatalog.setStrings('es', {"Configure template for certificates": "Configurar plantilla de certificado", "Configure template for receipts": "Configurar plantilla de recibo", "Save": "Guardar", "Edit": "Editar", "View": "Ver", "Help": "Ayuda", "Configure Certificate": "Configurar Certificado", "Configure Receipt": "Configurar Recibo", "Certificate": "Certificado", "Receipt": "Recibo", "Course Conclusion": "Finalización del curso", "Person Name": "Nombre de la persona", "Cancel": "Cancelar", "Course Conclusion": "Conclusión del curso"});
        gettextCatalog.setStrings('pt_br', {"Configure template for certificates": "Configurar modelo de certificados", "Configure template for receipts": "Configurar modelo de recibos", "Save": "Salvar", "Edit": "Editar", "View": "Ver", "Help": "Ajuda", "Configure Certificate": "Configurar Certificado", "Configure Receipt": "Configurar Recibo", "Certificate": "Certificado", "Receipt": "Recibo", "Course Conclusion": "Conclusão do Curso", "Person Name": "Nome da pessoa", "Cancel": "Cancelar", "Course Conclusion": "Conclusão de curso"});
    }]);

})(angular);
